#coding:utf-8

'''
启动压力测试脚本
'''
from lib.pressure.SendMultMsgNewThread import SendMultMsgNewThread
from lib.pressure.SendMultMsgThread_m300 import SendMultMsgThread_m300
from lib.pressure.SendMultMsgThread_m500 import SendMultMsgThread_m500


def startM300():
    t = SendMultMsgThread_m300()
    # t.setHost("10.100.12.32")
    t.setHost("10.100.5.251")
    t.setPort(9009)       # M300
    t.setThreadCount(3)
    t.setTimeOut(30)
    t.setDurTime(1 * 1.5 * 60)
    t.setSetStartCarNumber(0)
    # t.startThread()
    t.startThreadContinuous()

def startM500():
    t = SendMultMsgThread_m500()
    # t.setHost("10.100.12.32")
    t.setHost("10.100.5.251")
    t.setPort(9008)       #M500
    t.setThreadCount(4)             #设置线程数
    t.setTimeOut(30)                #设置超时时间
    t.setDurTime(1 * 1.5 * 60)        #设置持续时间
    t.setSetStartCarNumber(0)       #设置开始的车机号，每启动一个线程自动加1
    # t.startThread()
    t.startThreadContinuous()

def startMNew():
    t = SendMultMsgNewThread()
    t.setHost("10.100.11.20")
    t.setPort(9001)       # 车安优
    t.setThreadCount(3)
    t.setTimeOut(30)
    t.setDurTime(1 * 1 * 60)
    t.setSetStartCarNumber(0)
    t.startThreadContinuous()


if __name__ == "__main__":
    # startM300()
    # startM500()
    startMNew()